Arch Gebäude

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Building and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語

Arch Building.svg Arch Gebäude

Menüeintrag
Architektur → Gebäude
Arbeitsbereich
Arch Arbereitsbereich
Standardtastenkürzel
B U
In der Version eingeführt
-
Siehe auch
Arch Gebäudeteil, Arch Baugrund


Beschreibung

Ein Gebäude ist ein spezielles FreeCAD Gruppenobjekt, welches sich besonders dafür eignet, eine ganze Gebäudeeinheit zu repräsentieren. Ein Gebäude hilft so bei der Organisation des Modells, es enthält als Untereinheiten Etagen Objekte.

Anwendung

  1. Wähle optional ein oder mehrere Objekte die in dein neues Gebäude aufgenommen werden sollen.
  2. Drücke den Arch Building.svg Arch Gebäude Knopf oder drücke die B dann U Tasten.

Optionen

  • Seit FreeCAD Version 0.18 ist das Gebäudeobjekt tatsächlich ein GebäudeTeil, dessen Daten-EigenschaftIFC Typ Eigenschaft auf Gebäude gesetzt ist.

Du kannst jedes GebäudeTeil in ein Gebäude konvertieren, einfach durch ändern seines IFC Typs.

  • Nach dem erstellen eines Gebäudes, kannst du weitere Objekte durch Ziehen und loslassen in der Baumansicht oder durch verwenden des Arch Add.svg Arch hinzufügen Werkzeug ihm hinzufügen.
  • Du kannst Objekte aus einem Gebäude entfernen, durch Ziehen und loslassen aus seiner Baumansicht oder durch verwenden des Arch Remove.svg Arch Entfernen Werkzeugs.

Eigenschaften

  • Daten-EigenschaftGebäude Typ: Der Typ des Gebäudes, wählbar aus einer Liste

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Gebäude Werkzeug kann sowohl in Makros als auch aus der Python Konsole aus mit folgender Funktion verwendet werden:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Erzeugt ein Gebäude Objekt aus der Objekteliste, die entweder eine Liste von Objekten oder oder ein Basisobj, das ein Form ist.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()